[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] install errors for libguestfs-1.19.60



On Fri, Nov 23, 2012 at 07:51:50PM +0100, Olaf Hering wrote:
> On Mon, Nov 19, Richard W.M. Jones wrote:
> 
> > 
> > ... also 1.19.61 has just been released, with working Lua support.
> 
> lua 5.1.4 has LUA_GLOBALSINDEX in lua.h, but lua 5.2.0 does not. As a
> result, commit 8f80f9fdae13a320da978dffa2c9d94e7b68a810 causes a build error.

According to:
http://stackoverflow.com/questions/11093189/lua-updating-from-5-1-lua-globalsindex-problems
it looks as if using lua_getglobal is the replacement.  lua 5.1
also has this in the header file:

#define lua_getglobal(L,s)	lua_getfield(L, LUA_GLOBALSINDEX, (s))

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
libguestfs lets you edit virtual machines.  Supports shell scripting,
bindings from many languages.  http://libguestfs.org


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]